Bug 82051 - LibreOffice draw freezes when moving a big object using keyboard repeat
Summary: LibreOffice draw freezes when moving a big object using keyboard repeat
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
4.2.5.2 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-08-02 12:47 UTC by Mikiya Okuno
Modified: 2015-07-12 20:46 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Stack trace. (9.32 KB, text/plain)
2014-08-02 12:47 UTC, Mikiya Okuno
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mikiya Okuno 2014-08-02 12:47:48 UTC
Created attachment 103862 [details]
Stack trace.

LibreOffice Draw freezes when moving a big object using keyboard repeat. The problem can be repeated very easily.

1. Add a big object like 10x20 table.

2. Move the object by pressing cursor key.

A table cannot be moved using cursor key unless another object is selected together. So, add another object (e.g. rectangle) and select the table and it using Ctrl-A. Then, press down any cursor key.

3. Hold the cursor key pressed down.

The selected objects are moved continuously, but the process freezes within several seconds.
Comment 1 Buovjaga 2014-11-05 12:56:36 UTC
I can move the table by itself.
Even with another object, I could move them for tens of seconds without any freeze.
Will test on Linux later, if nobody beats me to it.

Win 7 64-bit Version: 4.4.0.0.alpha1+
Build ID: b7d8a58ff2698ffc6e22943f64aa97c5ea253bd9
TinderBox: Win-x86@42, Branch:master, Time: 2014-11-05_00:40:38
Comment 2 Buovjaga 2014-11-05 18:03:29 UTC
It's fine for me on Linux, too.

Can you please test with 4.3? If it's resolved, WORKSFORME, if not, back to UNCONFIRMED.

Version: 4.3.2.2.0+
Build ID: 4.3.2.2 Arch Linux build-1
Comment 3 QA Administrators 2015-05-06 14:15:11 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least
6 months. Please provide the requested information as soon as
possible and mark the bug as UNCONFIRMED. Due to regular bug
tracker maintenance, if the bug is still in NEEDINFO status with
no change in 30 days the QA team will close the bug as INVALID
due to lack of needed information.

For more information about our NEEDINFO policy please read the
wiki located here:
https://wiki.documentfoundation.org/QA/Bugzilla/Fields/Status/NEEDINFO

If you have already provided the requested information, please
mark the bug as UNCONFIRMED so that the QA team knows that the
bug is ready to be confirmed.
 
Thank you for helping us make LibreOffice even better for everyone!


Warm Regards,
QA Team
Comment 4 QA Administrators 2015-06-08 14:26:55 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

-- The LibreOffice QA Team 

This INVALID Message was generated on: 2015-05-06

Warm Regards,
QA Team
Comment 5 MarjaE 2015-07-12 20:46:42 UTC
I've had similar trouble trying to move an object using drag-and-drop. However, I can avoid it using position & size.